net.sf.jasperreports.engine.component

## Class DefaultComponentXmlParser

- java.lang.Object
- - net.sf.jasperreports.engine.component.DefaultComponentXmlParser

- All Implemented Interfaces:
    ComponentsXmlParser

      public class DefaultComponentXmlParser
      extends java.lang.Object
      implements ComponentsXmlParser

  The default `ComponentsXmlParser` implementation.
  Version:
    $Id: DefaultComponentXmlParser.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultComponentXmlParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlDigesterConfigurer` | `getDigesterConfigurer()` Returns a digester configurer for the component bundle.
    `java.lang.String` | `getInternalSchemaResource()` Returns a resource name that resolves to an internal XML schema resource.
    `java.lang.String` | `getNamespace()` Returns the namespace used by the component bundle.
    `java.lang.String` | `getPublicSchemaLocation()` Returns the public location of the component bundle XML schema.
    `void` | `setDigesterConfigurer(XmlDigesterConfigurer digesterConfigurer)` Sets the components digester configurer.
    `void` | `setInternalSchemaResource(java.lang.String internalSchemaResource)` Sets the internal XML schema resource name.
    `void` | `setNamespace(java.lang.String namespace)` Sets the components namespace.
    `void` | `setPublicSchemaLocation(java.lang.String publicSchemaLocation)` Sets the public location of the components XML schema.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultComponentXmlParser

          public DefaultComponentXmlParser()

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Description copied from interface: `ComponentsXmlParser`
      Returns the namespace used by the component bundle.

      The XML representation of the components will use this namespace.

      Specified by:
        `getNamespace` in interface `ComponentsXmlParser`
      Returns:
        the component bundle namespace

    - #### setNamespace

          public void setNamespace(java.lang.String namespace)

      Sets the components namespace.
      Parameters:
        `namespace` - the components namespace
      See Also:
        `getNamespace()`

    - #### getDigesterConfigurer

          public XmlDigesterConfigurer getDigesterConfigurer()

      Description copied from interface: `ComponentsXmlParser`
      Returns a digester configurer for the component bundle.

      The digester configurer is responsible for providing digester rules that transform an XML fragment into a `Component` instance.

      Specified by:
        `getDigesterConfigurer` in interface `ComponentsXmlParser`
      Returns:
        a digester configurer

    - #### setDigesterConfigurer

          public void setDigesterConfigurer(XmlDigesterConfigurer digesterConfigurer)

      Sets the components digester configurer.
      Parameters:
        `digesterConfigurer` - the components digester configurer
      See Also:
        `getDigesterConfigurer()`

    - #### getPublicSchemaLocation

          public java.lang.String getPublicSchemaLocation()

      Description copied from interface: `ComponentsXmlParser`
      Returns the public location of the component bundle XML schema.

      This would be listed in `schemaLocation` XML attributes.

      Specified by:
        `getPublicSchemaLocation` in interface `ComponentsXmlParser`
      Returns:
        the public location of the component bundle XML schema

    - #### setPublicSchemaLocation

          public void setPublicSchemaLocation(java.lang.String publicSchemaLocation)

      Sets the public location of the components XML schema.
      Parameters:
        `publicSchemaLocation` - the components XML schema public location
      See Also:
        `getPublicSchemaLocation()`

    - #### getInternalSchemaResource

          public java.lang.String getInternalSchemaResource()

      Description copied from interface: `ComponentsXmlParser`
      Returns a resource name that resolves to an internal XML schema resource.

      If not null, the resource (which needs to be present on the classpath) will be used when parsing component XML fragments instead of the public XML schema.

      Specified by:
        `getInternalSchemaResource` in interface `ComponentsXmlParser`
      Returns:
        the name of the internal XML schema resource

    - #### setInternalSchemaResource

          public void setInternalSchemaResource(java.lang.String internalSchemaResource)

      Sets the internal XML schema resource name.
      Parameters:
        `internalSchemaResource` - the internal XML schema resource name
      See Also:
        `getInternalSchemaResource()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com